- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/get#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/get#try-it)

Gets the specified message.

### HTTP request

`GET https://gmail.googleapis.com/gmail/v1/users/{userId}/messages/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` The user's email address. The special value `me` can be used to indicate the authenticated user. |
| `id` | `string` The ID of the message to retrieve. This ID is usually retrieved using `messages.list`. The ID is also contained in the result when a message is inserted (`messages.insert`) or imported (`messages.import`). |

### Query parameters

| Parameters ||
|---|---|
| `format` | ``enum (`https://developers.google.com/workspace/gmail/api/reference/rest/v1/Format`)`` The format to return the message in. |
| `metadataHeaders[]` | `string` When given and format is `METADATA`, only include headers specified. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages#Message`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://mail.google.com/`
- `
  https://www.googleapis.com/auth/gmail.modify`
- `
  https://www.googleapis.com/auth/gmail.readonly`
- `
  https://www.googleapis.com/auth/gmail.metadata`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).